Package com.verisign.epp.codec.allocationtoken

## Class EPPAllocationTokenTst

- java.lang.Object
- - com.verisign.epp.codec.allocationtoken.EPPAllocationTokenTst

-     public class EPPAllocationTokenTst
      extends java.lang.Object

  Is a unit test of the com.verisign.epp.codec.namestoreext package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.namestoreext package concrete extension `EPPCodecComponent`'s. The Domain and Host commands and responses are used to test extending both.
  The unit test is dependent on the use of JUNIT 3.5

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPAllocationTokenTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `setNumIterations​(long aNumIterations)` | Sets the number of iterations to run per test.
    `static void` | `setup()` | JUNIT `suite` static method, which returns the tests associated with `EPPAllocationTokenTst`.
    `void` | `testAllocationToken()` | Unit test of extending the Domain and host create commands and responses to specify the sub-product.
    `void` | `testAllocationTokenInfo()` | Unit test of extending the domain info command with the allocation token info extension.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPAllocationTokenTst

          public EPPAllocationTokenTst()

  - ### Method Detail

    - #### testAllocationToken

          public void testAllocationToken()

      Unit test of extending the Domain and host create commands and responses to specify the sub-product.
      This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

    - #### testAllocationTokenInfo

          public void testAllocationTokenInfo()

      Unit test of extending the domain info command with the allocation token info extension.

    - #### setup

          public static void setup()

      JUNIT `suite` static method, which returns the tests associated with `EPPAllocationTokenTst`.

    - #### setNumIterations

          public static void setNumIterations​(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test